Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlCommandLink.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlCommandLink.PropertyKeys>
          javax.faces.component.html.HtmlCommandLink.PropertyKeys

All Implemented Interfaces:
  Serializable, Comparable<HtmlCommandLink.PropertyKeys>

Enclosing class:
  HtmlCommandLink

    protected static enum HtmlCommandLink.PropertyKeys

extends Enum<HtmlCommandLink.PropertyKeys>

Enum Constant Summary
`accesskey`
`charset`
`coords`
`dir`
`disabled`
`hreflang`
`lang`
`onblur`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`rel`
`rev`
`shape`
`style`
`styleClass`
`tabindex`
`target`
`title`
`type`

Method Summary
`String` | `toString()`
`static HtmlCommandLink.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlCommandLink.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlCommandLink.PropertyKeys accesskey

### charset

    public static final HtmlCommandLink.PropertyKeys charset

### coords

    public static final HtmlCommandLink.PropertyKeys coords

### dir

    public static final HtmlCommandLink.PropertyKeys dir

### disabled

    public static final HtmlCommandLink.PropertyKeys disabled

### hreflang

    public static final HtmlCommandLink.PropertyKeys hreflang

### lang

    public static final HtmlCommandLink.PropertyKeys lang

### onblur

    public static final HtmlCommandLink.PropertyKeys onblur

### onclick

    public static final HtmlCommandLink.PropertyKeys onclick

### ondblclick

    public static final HtmlCommandLink.PropertyKeys ondblclick

### onfocus

    public static final HtmlCommandLink.PropertyKeys onfocus

### onkeydown

    public static final HtmlCommandLink.PropertyKeys onkeydown

### onkeypress

    public static final HtmlCommandLink.PropertyKeys onkeypress

### onkeyup

    public static final HtmlCommandLink.PropertyKeys onkeyup

### onmousedown

    public static final HtmlCommandLink.PropertyKeys onmousedown

### onmousemove

    public static final HtmlCommandLink.PropertyKeys onmousemove

### onmouseout

    public static final HtmlCommandLink.PropertyKeys onmouseout

### onmouseover

    public static final HtmlCommandLink.PropertyKeys onmouseover

### onmouseup

    public static final HtmlCommandLink.PropertyKeys onmouseup

### rel

    public static final HtmlCommandLink.PropertyKeys rel

### rev

    public static final HtmlCommandLink.PropertyKeys rev

### shape

    public static final HtmlCommandLink.PropertyKeys shape

### style

    public static final HtmlCommandLink.PropertyKeys style

### styleClass

    public static final HtmlCommandLink.PropertyKeys styleClass

### tabindex

    public static final HtmlCommandLink.PropertyKeys tabindex

### target

    public static final HtmlCommandLink.PropertyKeys target

### title

    public static final HtmlCommandLink.PropertyKeys title

### type

    public static final HtmlCommandLink.PropertyKeys type

Method Detail

### values

    public static HtmlCommandLink.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlCommandLink.PropertyKeys c : HtmlCommandLink.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlCommandLink.PropertyKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlCommandLink.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.